Why do I see my website is running on Joomla 1.5? Can I upgrade to a newer version of Jooma?

created

It's important to understand that your site is built on the Nonprofit Soapbox platform, not on Joomla. Soapbox does have Joomla at its core, but it's not Joomla. We "forked" Joomla at 1.5 and built our own tool from there.

Also worth noting is that Soapbox uses a Software-as-a-Service (SaaS) model, which means there is one instance of code that runs hundreds of websites.  Updates to functionality and security are done system-wide by our engineering team, and not on a site-by-site basis. There is nothing that you need to do to maintain the technology of your site.

The down side of this model is that you are not able to install third-party Joomla extensions, as our code-base and software functionality is carefully maintained by our engineers.  There are no third party Soapbox versions.

We manage all the security updates and issues for you, so Joomla version isn't really relevant to your website. You are on the latest version of Soapbox, and should be all set.

Have more questions? Submit a request
Article is closed for comments.